# Method: edits.tracks.list

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/list#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/list#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/list#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/list#body.TracksListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/list#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/list#try-it)

Lists all tracks.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/edits/{editId}/tracks`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |
| `editId` | `string` Identifier of the edit. |

### Request body

The request body must be empty.

### Response body

Response listing all tracks.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "tracks": [ { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks#Track`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` The kind of this response ("androidpublisher#tracksListResponse"). |
| `tracks[]` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks#Track`)`` All tracks (including tracks with no releases). |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`